---
- name: Converge
  hosts: molecule-toolchain
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: ../../../../import_vars.yml

- name: Converge
  hosts: molecule-toolchain
  roles:
    - non-consensus-node
  tasks:
  - name: Print TPFS Values
    import_role:
      name: non-consensus-node
      tasks_from: tpfs_values.yml

  - name: Cache Non-Consensus K8s definition for cleanup
    set_fact:
      cacheable: yes
      xand_k8s: "{{ kustomize_build_xand.stdout }}"
    when: kustomize_build_xand.stdout is defined
